# Interface ReadsEncoder

All Superinterfaces:
  `AutoCloseable, Closeable, HtsEncoder<SAMFileHeader, SAMRecord>`

All Known Implementing Classes:
  `BAMEncoder, BAMEncoderV1_0, CRAMEncoder, CRAMEncoderV2_1, CRAMEncoderV3_0, CRAMEncoderV3_1, SAMEncoder, SAMEncoderV1_0`

public interface ReadsEncoder extends HtsEncoder<SAMFileHeader, SAMRecord>
Base interface for `HtsContentType.ALIGNED_READS` encoders.

## Method Summary

### Methods inherited from interface HtsEncoder

`close, getDisplayName, getFileFormat, getVersion, setHeader, write`